> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns minimum wage rates by the minimum wage unique id

> mwUid has to be a string in format stateCode-authorityType-authorityCode-majorType-industryTypeCode-minorTypeCode. Also wildcard '*' can be used and unspecified-rest is accepted as well. If effectiveDate is specified, returns rates valid at this date; if updatedSince is specified, returns rates updates since this date. If both effectiveDate and updatedSince are omitted, returns the whole rates history. Setting both effectiveDate and updatedSince at the same time is not allowed. EffectiveDate can not be set in conjunction with the rate type (majorType, industryTypeCode, minorTypeCode). The valid date format is yyyy-mm-dd.



## OpenAPI

````yaml /prp/api-reference/payroll-point.yaml get /v1/minimumwage/id
openapi: 3.0.1
info:
  title: Payroll Point API
  description: Symmetry Payroll Point API documentation
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
    email: support@symmetry.com
  license:
    name: Symmetry Software/Terms of Use
    url: https://www.symmetry.com/terms
  version: 1.3.65
servers:
  - url: https://api.symmetry.com/prp
security: []
tags:
  - name: Location Taxes
    description: Calculate payroll taxes by home and work location
  - name: Account Info
    description: Retrieve account-product details and usage data
  - name: Minimum wage
    description: Endpoints returning the minimum wage
  - name: Documentation
    description: Documentation helper endpoints
  - name: Postman
    description: Resources for Postman
paths:
  /v1/minimumwage/id:
    get:
      tags:
        - Minimum wage
      summary: Returns minimum wage rates by the minimum wage unique id
      description: >-
        mwUid has to be a string in format
        stateCode-authorityType-authorityCode-majorType-industryTypeCode-minorTypeCode.
        Also wildcard '*' can be used and unspecified-rest is accepted as well.
        If effectiveDate is specified, returns rates valid at this date; if
        updatedSince is specified, returns rates updates since this date. If
        both effectiveDate and updatedSince are omitted, returns the whole rates
        history. Setting both effectiveDate and updatedSince at the same time is
        not allowed. EffectiveDate can not be set in conjunction with the rate
        type (majorType, industryTypeCode, minorTypeCode). The valid date format
        is yyyy-mm-dd.
      operationId: getRatesByUidWs
      parameters:
        - name: mwUid
          in: query
          required: true
          schema:
            type: string
          example: 6-3-277483-*
        - name: effectiveDate
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: updatedSince
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: pageNumber
          in: query
          required: true
          schema:
            type: integer
            format: int32
          example: 0
        - name: pageSize
          in: query
          required: true
          schema:
            type: integer
            format: int32
          example: 25
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RatesResponsePaginated'
      security:
        - AuthenticationToken: []
components:
  schemas:
    RatesResponsePaginated:
      type: object
      properties:
        errorMessage:
          type: string
        ratesPage:
          $ref: '#/components/schemas/PageMapStringObject'
    PageMapStringObject:
      type: object
      properties:
        totalElements:
          type: integer
          format: int64
        totalPages:
          type: integer
          format: int32
        last:
          type: boolean
        first:
          type: boolean
        size:
          type: integer
          format: int32
        content:
          type: array
          items:
            type: object
            additionalProperties:
              type: object
        number:
          type: integer
          format: int32
        sort:
          type: array
          items:
            $ref: '#/components/schemas/SortObject'
        pageable:
          $ref: '#/components/schemas/PageableObject'
        numberOfElements:
          type: integer
          format: int32
        empty:
          type: boolean
    SortObject:
      type: object
      properties:
        direction:
          type: string
        nullHandling:
          type: string
        ascending:
          type: boolean
        property:
          type: string
        ignoreCase:
          type: boolean
    PageableObject:
      type: object
      properties:
        offset:
          type: integer
          format: int64
        sort:
          type: array
          items:
            $ref: '#/components/schemas/SortObject'
        paged:
          type: boolean
        pageSize:
          type: integer
          format: int32
        pageNumber:
          type: integer
          format: int32
        unpaged:
          type: boolean
  securitySchemes:
    AuthenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````